Saturday, November 3, 2007

Apache I know you better

I firstly tried nginx as I have played with XAMPP and Apache2 before so something new to learn would be nice.   Below was what I did



wget http://technokracy.net/nginx/nginx_0.5.32~grrr-1_i386.deb
dpkg -i nginx_0.5.32~grrr-1_i386.deb


It wasn't OK during the dpkg -i apparently there is a dependency on libpcre3. Following the advice given I did apt-get -f install


The second attempt was OK and I saw starting nginx


Next I installed php5 and nano by



apt-get install php5-cli php5-cgi php5-xcache build-essential
apt-get install nano


There is a nice tutorial for installing LEMP in howtoforge here.


I saw that nginx was running but getting php to run was a bit difficult. Fastcgi was the hurdle and trick is to get spawn-fcgi bundled in lighttpd, i.e. install lighttpd but don't start it.


Conclusion I'm not ready for nginx, that's for geeks not me. By the way nginx isn't listed under servers in Fastcgi's official website.

No comments:

Post a Comment